Bug 1506410 - [RFE] support specifying the user id for tcmu-runner
Summary: [RFE] support specifying the user id for tcmu-runner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: iSCSI
Version: 3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 4.0
Assignee: Mike Christie
QA Contact: Manohar Murthy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2017-10-26 00:04 UTC by Jason Dillaman
Modified: 2020-01-31 12:45 UTC (History)
5 users (show)

Fixed In Version: ceph-iscsi-3.2-1.el8cp
Doc Type: Enhancement
Doc Text:
.Non-administrators can now be used for the `ceph-iscsi` service As of {product} {release}, non-administrative Ceph users may be used for the `ceph-iscsi` service by setting the `cluster_client_name` in the `/etc/ceph/iscsi-gateway.cfg` on all iSCSI Gateways. This allows resources to be restricted based on users.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:44:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github open-iscsi tcmu-runner pull 415 0 'None' closed rbd: new option for specifying the id 2020-01-23 19:10:58 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:45:25 UTC

Description Jason Dillaman 2017-10-26 00:04:40 UTC
tcmu-runner and associated ceph-iscsi-config tooling default to using the "client.admin" user when connecting to the cluster. This should be configurable so that a user with non-admin capabilities can be utilized.

Version-Release number of selected component (if applicable):
1.3.0

Comment 6 Erin Donnelly 2020-01-07 20:50:16 UTC
Thanks Mike! Can you take a look at the updated text and let me know if it looks okay?

Comment 7 Mike Christie 2020-01-08 02:16:26 UTC
Looks ok to me. Thanks.

Comment 9 errata-xmlrpc 2020-01-31 12:44:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.